angular.module('app').controller('SaveConflictModalController', ['$modalScope', 'conflicts', function($modalScope, conflicts){
	$modalScope.takeFromRemote = [];
	$modalScope.isStatic = false;
	$modalScope.conflicts = conflicts;
	
	$modalScope.toggleFromRemote = function(drop) {
		var idx = $modalScope.takeFromRemote.indexOf(drop);

		if (idx < 0) { 
			$modalScope.takeFromRemote.push(drop);
		} else {
			$modalScope.takeFromRemote.splice(idx, 1);
		}
	};
	
	$modalScope.takeMine = function(conflict) {
		var idx = $modalScope.takeFromRemote.indexOf(conflict.drop);
		if (idx >= 0) $modalScope.takeFromRemote.splice(idx, 1);
	};
	
	$modalScope.takeTheirs = function(conflict) {
		var idx = $modalScope.takeFromRemote.indexOf(conflict.drop);
		if (idx < 0) $modalScope.takeFromRemote.push(conflict.drop);
	};

	$modalScope.useFromRemote = function(drop) {
		return $modalScope.takeFromRemote.indexOf(drop) >= 0;
	};

}]);