/**
 * Media Service
 * Provides functionality to show and pick items from the Media Gallery
 */
angular.module('app').service('media', ['modal', function(modal) {

	this.select = function(callback, initial) {

		modal.show('MediaGalleryModal', function(res) {
			if (res && typeof callback === 'function') {
				callback(res);
			}
		}, 
		// injects
		{
			"initial" : initial ? initial : false,
			"selectable" : typeof(callback) === 'function'
		});
	};

	
}]);