angular.module('app').controller('ExpiredCtrl', ['$scope', '$location', 'core', 'modal',
	function($scope, $location, core, modal){

		$scope.core = core;
		$scope.storeURL = "https://kreativkonzentrat.de";

		$scope.getLicenceTypeName = function(){
			var types = {
				"kk_dropper_bronze" : "Bronze",
				"kk_dropper_silber" : "Silber",
				"kk_dropper_gold" : "Gold",
				"kk_dropper_super" : "Dev",
				"unknown" : ""
			}
			return core.dropperLicense.hasLicense ? types[core.dropperLicense.item] : "";
		}

		$scope.getLicenceKindName = function(){
			var types = {
				"demo" : "Demo",
				"subscription" : "Subscription",
				"lifetime" : "Lifetime",
				"unknown" : "Unbekannt"
			}
			return types[core.dropperLicense.type];
		}

		$scope.openLink = function(link){
			var url = link;
			var part = '?';
			
			if(link.indexOf('?') >= 0){
				part = '&';
			}

			if(link.indexOf('#') >= 0){
				url = url.replace('#', part + "shop=" + window.btoa(core.shopURL) + '#');
			} else {
				url += part + "shop=" + window.btoa(core.shopURL);
			}

			var win = window.open(url, '_blank');
			win.focus();
		}
	}
]);