conditional['ArticleQuickview'] = {
	description: 'Bestimmt ob sich der Artikel im Vorschau-Modus (Quickview) befindet (ab JTL-Shop 4.06)',
	name: 'Vorschau-Modus',

	section: "Article",
	sort: 60,
	
	config: [
		{
			type: 'switch',
			options: [
				{ label: "Aktiv", value: true },
				{ label: "Inaktiv", value: false }
			],
			property: 'quickView'
		}
	],
	evaluateToSmarty: function(filter){

		if (filter.quickView === true) {
			return '$nSeitenTyp eq 1 and isset($smarty.get.quickView) and $smarty.get.quickView == 1';
		} else if (filter.quickView === false) {
			return '$nSeitenTyp eq 1 and (!isset($smarty.get.quickView) or $smarty.get.quickView != 1)';
		}
		return false;
	}
};