conditional['CustomerGroups'] = {
	description: 'Erlaubt das filtern nach Kundengruppen (Aktive Kundengruppe)',
	name: 'Kundengruppe',

	section: "Session",
	sort: 20,
	
	config: [{
		options: 'CustomerGroups',
		type: 'multiselect',
		property: 'groups'
	}],
	evaluateToSmarty: function(filter){
		if(!filter.groups || filter.groups.length == 0){
			return false;
		}

		var exp = 'isset($smarty.session.Kundengruppe->kKundengruppe) and (';
		for(var i=0; i<filter.groups.length; i++){
			exp = exp + '$smarty.session.Kundengruppe->kKundengruppe eq ' + filter.groups[i];
			if(i < filter.groups.length-1){
				exp += ' or ';			
			}
		}
		exp += ')';
		return exp;
	}
}