conditional['Date'] = {
	description: 'Erlaubt das Filtern nach einem Datumsbereich',
	name: 'Datum',

	section: "Time",
	sort: 10,

	config: [{
		name: 'Start',
		description: 'Startdatum',
		type: 'date',
		format: 'mm/dd/yy',
		property: 'date_start'
	},
	{
		name: 'Ende',
		description: 'Enddatum',
		type: 'date',
		format: 'mm/dd/yy',
		property: 'date_end'
	}],
	evaluateToSmarty: function(filter){
		if(!filter.date_start || !filter.date_end){
			return false;
		}
		var exp = '$smarty.now >= ' + Math.round((new Date(filter.date_start).setHours(0,0,0,0))/1000) + ' && $smarty.now <= ' + Math.round((new Date(filter.date_end).setHours(23,59,59,999)/1000));
		return exp;
	}
};