conditional['Day'] = {
	description: 'Filtert nach ausgewählten Wochentagen',
	name: 'Wochentag',
	
	section: "Time",
	sort: 20,

	config: [{
		options: [
			{ label : 'Montag', value: 1 },
			{ label : 'Dienstag', value: 2 },
			{ label : 'Mittwoch', value: 3 },
			{ label : 'Donnerstag', value: 4 },
			{ label : 'Freitag', value: 5 },
			{ label : 'Sonnabend', value: 6 },
			{ label : 'Sonntag', value: 0 }
		],
		type: 'multiselect',
		property: 'days'
	}],
	evaluateToSmarty: function(filter){
		// this could be one ore more days to match... loop and build a smarty expression
		// we can use.
		if(!filter.days || filter.days.length == 0){
			return false;
		}
		var exp = '';
		for(var i=0; i<filter.days.length; i++){
			exp = exp + '$smarty.now|date_format:"%w" eq ' + filter.days[i];
			if(i < filter.days.length-1){
				exp += ' or ';
			}
		}
		return exp;
	}
}